<?php


namespace Drupal\lb_plus\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;

/**
 * Defines the LbPlusBlockContentSettings entity.
 *
 * @ConfigEntityType(
 *   id = "lb_plus_block_content_settings",
 *   label = @Translation("LB Plus Block Content Settings"),
 *   label_collection = @Translation("Block Content Settings"),
 *   label_singular = @Translation("block content setting"),
 *   label_plural = @Translation("block content settings"),
 *   label_count = @PluralTranslation(
 *     singular = "@count block content setting",
 *     plural = "@count block content settings",
 *   ),
 *   admin_permission = "administer lb plus",
 *   config_prefix = "block_content_settings",
 *   entity_keys = {
 *     "id" = "id"
 *   },
 *   config_export = {
 *     "id",
 *     "expose",
 *     "category",
 *     "image",
 *   },
 *   list_cache_tags = { "rendered" }
 * )
 */
class LbPlusBlockContentSettings extends ConfigEntityBase {
  /**
   * The id.
   *
   * @var string
   */
  protected $id;

  /**
   * If the block is exposed to LB+.
   *
   * @var boolean
   */
  protected $expose;

  /**
   * The category exposed to LB+.
   *
   * @var string
   */
  protected $category;

  /**
   * The image used in LB+.
   *
   * @var string
   */
  protected $image;
}
