<?php

namespace Drupal\lb_plus\Mixin;

use Drupal\block_content\Entity\BlockContentType;
use Drupal\lb_plus\Entity\LbPlusBlockContentSettings;

trait LbPlusTrait {
  protected function getAvailableBlockTypes() {
    $available_types = [];
    $types = BlockContentType::loadMultiple();
    asort($types);
    foreach ($types as $type) {
      $config = LbPlusBlockContentSettings::load($type->id());
      if ($config && $config->get('expose')) {
        $available_types[] = $type;
      }
    }
    return $available_types;
  }
}
